# picked from activsupport; needed for ruby < 2.5
# Destructively converts all keys using the +block+ operations.
# Same as +transform_keys+ but modifies +self+.
module Safrano
  module CoreIncl
    module Hash
      module Transform
        def transform_keys!
          keys.each do |key|
            self[yield(key)] = delete(key)
          end
          self
        end unless method_defined? :transform_keys!

        def symbolize_keys!
          transform_keys! { |key| key.to_sym rescue key }
        end
      end
    end
  end
end
