# frozen_string_literal: true

require 'rack'
require 'rack/cors'

module Rack
  module Safrano
    # just a Wrapper to ensure (force?) that mandatory middlewares are acutally
    # used
    class Builder < ::Rack::Builder
      def initialize(default_app = nil, &block)
        super(default_app) {}
        use ::Rack::Cors
        instance_eval(&block) if block_given?
        use ::Rack::ContentLength
      end
    end
  end
end

# deprecated
# REMOVE 0.6
module Rack
  module OData
    class Builder < ::Rack::Safrano::Builder
      def initialize(default_app = nil, &block)
        ::Safrano::Deprecation.deprecate('Rack::OData::Builder',
                                         'Use Rack::Safrano::Builder instead')

        super
      end
    end
  end
end
